Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(6)

Issue 788043005: ES6 unicode escapes, part 2: Regexps. (Closed)

Created:
4 years, 7 months ago by marja
Modified:
4 years, 5 months ago
CC:
v8-dev, arv (Not doing code reviews), caitp (gmail)
Base URL:
https://chromium.googlesource.com/v8/v8.git@master
Target Ref:
refs/pending/heads/master
Project:
v8
Visibility:
Public.

Description

ES6 unicode escapes, part 2: Regexps. Allows \u{xxxxx} in regexps. Behind the --harmony-unicode flag. Part 1 is here: https://codereview.chromium.org/716423002 BUG=v8:3648 LOG=N Committed: https://crrev.com/2305cfb4e2b196918095d3404267772e93916616 Cr-Commit-Position: refs/heads/master@{#26018}

Patch Set 1 #

Patch Set 2 : tentative build fix #

Patch Set 3 : more, but still not fully working #

Patch Set 4 : . #

Patch Set 5 : . #

Patch Set 6 : . #

Patch Set 7 : should work (or almost) #

Patch Set 8 : rebased #

Patch Set 9 : adding tests #

Patch Set 10 : even more #

Patch Set 11 : octal #

Patch Set 12 : error reporting #

Total comments: 15

Patch Set 13 : code review (mathias, rossberg) #

Total comments: 2

Patch Set 14 : rebased #

Patch Set 15 : add to mirror #

Patch Set 16 : code review (mathias) #

Patch Set 17 : mirror regexp test #

Total comments: 1
Unified diffs Side-by-side diffs Delta from patch set Stats (+401 lines, -77 lines) Patch
M src/bootstrapper.cc View 1 2 3 4 5 6 2 chunks +12 lines, -1 line 0 comments Download
M src/heap/heap.h View 1 2 3 4 5 6 7 1 chunk +2 lines, -0 lines 0 comments Download
M src/jsregexp.cc View 1 2 3 4 2 chunks +2 lines, -3 lines 0 comments Download
M src/mirror-debugger.js View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 1 chunk +9 lines, -0 lines 0 comments Download
M src/objects.h View 1 2 3 4 5 6 7 2 chunks +3 lines, -1 line 0 comments Download
M src/parser.h View 1 2 3 4 5 6 7 4 chunks +9 lines, -8 lines 0 comments Download
M src/parser.cc View 1 2 3 4 5 6 7 8 9 10 11 9 chunks +112 lines, -35 lines 0 comments Download
M src/regexp.js View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 2 chunks +3 lines, -0 lines 0 comments Download
M src/runtime/runtime-regexp.cc View 1 2 3 4 5 6 7 8 9 10 11 12 4 chunks +12 lines, -2 lines 0 comments Download
M test/cctest/test-regexp.cc View 1 2 3 4 5 6 7 chunks +19 lines, -18 lines 0 comments Download
M test/mjsunit/harmony/regexp-flags.js View 1 2 3 4 5 6 7 8 9 10 11 12 1 chunk +3 lines, -8 lines 0 comments Download
A test/mjsunit/harmony/unicode-escapes-in-regexps.js View 1 2 3 4 5 6 7 8 9 10 1 chunk +212 lines, -0 lines 1 comment Download
M test/mjsunit/mirror-regexp.js View 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 3 chunks +3 lines, -1 line 0 comments Download

Messages

Total messages: 22 (5 generated)
marja
rossberg, ptal arv, matthias, caitpotter88, feel free to have a look too
4 years, 6 months ago (2015-01-08 12:05:01 UTC) #2
mathias
https://codereview.chromium.org/788043005/diff/220001/src/parser.cc File src/parser.cc (right): https://codereview.chromium.org/788043005/diff/220001/src/parser.cc#newcode4354 src/parser.cc:4354: } Should `-` be a “syntax character” as well ...
4 years, 6 months ago (2015-01-08 12:29:07 UTC) #4
rossberg
lgtm https://codereview.chromium.org/788043005/diff/220001/src/runtime/runtime-regexp.cc File src/runtime/runtime-regexp.cc (right): https://codereview.chromium.org/788043005/diff/220001/src/runtime/runtime-regexp.cc#newcode825 src/runtime/runtime-regexp.cc:825: case 'u': Nit: sort cases alphabetically https://codereview.chromium.org/788043005/diff/220001/test/mjsunit/harmony/unicode-escapes-in-regexps.js File ...
4 years, 6 months ago (2015-01-08 12:47:45 UTC) #5
marja
Thanks for comments! https://codereview.chromium.org/788043005/diff/220001/src/parser.cc File src/parser.cc (right): https://codereview.chromium.org/788043005/diff/220001/src/parser.cc#newcode4354 src/parser.cc:4354: } On 2015/01/08 12:29:07, mathias wrote: ...
4 years, 6 months ago (2015-01-08 13:42:19 UTC) #6
rossberg
https://codereview.chromium.org/788043005/diff/220001/src/parser.cc File src/parser.cc (right): https://codereview.chromium.org/788043005/diff/220001/src/parser.cc#newcode4354 src/parser.cc:4354: } On 2015/01/08 13:42:18, marja wrote: > On 2015/01/08 ...
4 years, 6 months ago (2015-01-08 14:11:46 UTC) #7
mathias
LGTM. https://codereview.chromium.org/788043005/diff/190011/src/regexp.js File src/regexp.js (right): https://codereview.chromium.org/788043005/diff/190011/src/regexp.js#newcode241 src/regexp.js:241: if (harmony_unicode && this.unicode) result += 'u'; Let’s ...
4 years, 6 months ago (2015-01-08 17:12:56 UTC) #8
marja
https://codereview.chromium.org/788043005/diff/190011/src/regexp.js File src/regexp.js (right): https://codereview.chromium.org/788043005/diff/190011/src/regexp.js#newcode241 src/regexp.js:241: if (harmony_unicode && this.unicode) result += 'u'; On 2015/01/08 ...
4 years, 6 months ago (2015-01-09 12:11:58 UTC) #9
marja
since the sticky flag was added to the regexp mirror, i'm adding the unicode flag ...
4 years, 6 months ago (2015-01-09 12:12:30 UTC) #10
mathias
On 2015/01/09 12:12:30, marja wrote: > since the sticky flag was added to the regexp ...
4 years, 6 months ago (2015-01-09 12:14:52 UTC) #11
marja
Updated the test, though, it's not very exciting (just testing properties, and also passes without ...
4 years, 6 months ago (2015-01-09 16:37:54 UTC) #13
marja
Oh, and, mathias, thx, also, this is very cool: https://mathiasbynens.be/notes/es6-unicode-regex \u{263A}
4 years, 6 months ago (2015-01-09 17:15:19 UTC) #14
Yang
On 2015/01/09 17:15:19, marja wrote: > Oh, and, mathias, thx, also, this is very cool: ...
4 years, 6 months ago (2015-01-12 09:16:02 UTC) #15
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/788043005/310001
4 years, 6 months ago (2015-01-12 09:23:07 UTC) #17
commit-bot: I haz the power
Committed patchset #17 (id:310001)
4 years, 6 months ago (2015-01-12 09:50:26 UTC) #18
commit-bot: I haz the power
Patchset 17 (id:??) landed as https://crrev.com/2305cfb4e2b196918095d3404267772e93916616 Cr-Commit-Position: refs/heads/master@{#26018}
4 years, 6 months ago (2015-01-12 09:50:50 UTC) #19
Erik Corry Chromium.org
https://codereview.chromium.org/788043005/diff/310001/test/mjsunit/harmony/unicode-escapes-in-regexps.js File test/mjsunit/harmony/unicode-escapes-in-regexps.js (right): https://codereview.chromium.org/788043005/diff/310001/test/mjsunit/harmony/unicode-escapes-in-regexps.js#newcode54 test/mjsunit/harmony/unicode-escapes-in-regexps.js:54: testRegexpHelper(new RegExp("[\u{62}-\u{00000066}]oo", "u")); Sorry I'm late with this feedback, ...
4 years, 6 months ago (2015-01-12 12:10:23 UTC) #21
mathias
4 years, 5 months ago (2015-01-21 07:16:54 UTC) #22

Powered by Google App Engine
This is Rietveld 408576698